-- taken from spring collab, i reaally hope this is ok to do so and that i dont die because of this
function onEnter(player)
	if getFirstEntity("Celeste.SandwichLava") == nil then
		-- This makes the sandwich lava transition in, rather than just appear, if last intro type is Respawn.
		-- Don't bother restoring it afterwards, LastIntroType is only used by sandwich lava in vanilla anyway.
		getRoom().LastIntroType = 0
		
		-- Add sandwich lava in the room. We use collab sandwich lava so that it works at any height.
		-- the room this is in is 40x23 so we dont need to mess around with the height.
		-- getRoom():Add(celeste.Mod.SpringCollab2020.Entities.CustomSandwichLava(celeste.EntityData(), vector2(player.Position.X - 10, 0)))
	end
end